Agregar una reseña de voz a una respuesta de CES
curl --request POST \
--url https://clientapi.woku.app/v1/ces/{id}/voicemails \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file'import requests
url = "https://clientapi.woku.app/v1/ces/{id}/voicemails"
files = { "file": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://clientapi.woku.app/v1/ces/{id}/voicemails', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 400,
"message": "<string>",
"error": "Bad Request"
}{
"statusCode": 403,
"message": "Authentication required",
"error": "Forbidden"
}{
"statusCode": 404,
"message": "External tracker not found",
"error": "Not Found"
}CES
Agregar una reseña de voz a una respuesta de CES
Adjunta una reseña de voz opcional (audio) a una respuesta de CES existente. El audio se sube y se transcribe en el servidor. Falla con 403 si la respuesta de CES no pertenece a la empresa que hace la llamada.
POST
/
v1
/
ces
/
{id}
/
voicemails
Agregar una reseña de voz a una respuesta de CES
Autorizaciones
BearerAuthPublishableKey
Clave de API de la empresa. Obtenla desde tu panel de Woku en Configuracion > API Keys. La misma clave usada para los endpoints v0.
Parámetros de ruta
ObjectId de MongoDB de la respuesta de CES.
Pattern:
^[0-9a-fA-F]{24}$Cuerpo
multipart/form-data
Archivo de audio (m4a/aac/mp4). Transcrito en el servidor.
Respuesta
Reseña de voz agregada
⌘I